View Issue Details

IDProjectCategoryView StatusLast Update
0007056AnastasisGeneralpublic2022-04-12 22:16
Reportersebasjm Assigned ToFlorian Dold  
PrioritynormalSeverityfeatureReproducibilityalways
Status resolvedResolutionfixed 
Product VersionGit master 
Target Version0.3.0Fixed in Version0.3.0 
Summary0007056: anastasis reducer: make actions consistent
DescriptionThe reducer has a "principal-state" defined by the property "recovery_state" or "backup_state" and sub-states depending on the "principal-state"

My proposal:
1.- principal-state should only change with actions "back" and "next". "next" should validate that the sub-state is correct before moving and "back" should always clean up the sub-state.
2.- other actions should not change the "recovery_state" or "backup_state" property.

Current implementation:
It almost follow this rule.
Some case like action "select_country" in state "CountrySelecting" doesn't.

TagsNo tags attached.

Activities

Christian Grothoff

2022-04-12 22:16

manager   ~0018859

Not quite. 'next' should take no arguments, but sometimes we do need arguments! With the latest change to next=>select_version, this is now consistent (and Florian & Christian are OK with it).

Issue History

Date Modified Username Field Change
2021-10-28 20:50 sebasjm New Issue
2021-10-28 20:50 sebasjm Status new => assigned
2021-10-28 20:50 sebasjm Assigned To => Florian Dold
2021-11-06 17:32 Christian Grothoff Project Taler => Anastasis
2021-11-06 17:32 Christian Grothoff Category wallet (TS core) => General
2022-04-12 22:16 Christian Grothoff Note Added: 0018859
2022-04-12 22:16 Christian Grothoff Status assigned => resolved
2022-04-12 22:16 Christian Grothoff Resolution open => fixed
2022-04-12 22:16 Christian Grothoff Fixed in Version => 0.3.0
2022-04-12 22:16 Christian Grothoff Product Version git (master) => Git master
2022-04-12 22:16 Christian Grothoff Target Version git (master) => 0.3.0